> For the complete documentation index, see [llms.txt](https://integrations.impact.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://integrations.impact.com/partner-api-reference/reference/identity-verification/identity-verification.md).

# Identity Verification

Endpoint for creating and resuming identity verification sessions.

## Create or Resume an Identity Verification Session

> Creates a new identity verification session or resumes an existing one. Returns a URL that can be used to launch the hosted verification flow. If a session is already in progress for the specified user, the existing session details are returned so verification can resume from where it left off.<br>

```json
{"openapi":"3.1.0","info":{"title":"Partner Identity Verification API","version":"16"},"tags":[{"name":"Identity Verification","description":"Endpoint for creating and resuming identity verification sessions."}],"servers":[{"url":"https://api.impact.com"}],"paths":{"/Mediapartners/{AccountSID}/IdentityVerification/Session":{"post":{"operationId":"createIdentityVerificationSession","tags":["Identity Verification"],"summary":"Create or Resume an Identity Verification Session","description":"Creates a new identity verification session or resumes an existing one. Returns a URL that can be used to launch the hosted verification flow. If a session is already in progress for the specified user, the existing session details are returned so verification can resume from where it left off.\n","parameters":[{"name":"AccountSID","in":"path","required":true,"schema":{"type":"string"},"description":"Unique identifier for the partner account."}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","required":["UserId"],"properties":{"UserId":{"type":"integer","description":"The unique numeric identifier of the impact.com user to verify. This is the numeric portion of the user's ID (e.g. for user `I-5402850`, pass `5402850`)."},"CallbackUrl":{"type":"string","description":"The URL to redirect the user to after the verification session completes. If omitted, the user is redirected to the impact.com platform."}}}}}},"responses":{"200":{"description":"The identity verification session object.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IdentityVerificationSession"}}}},"400":{"description":"Validation error or the supplied UserId is not accessible for the partner account.","content":{"application/json":{"schema":{"type":"object","properties":{"Status":{"type":"string","description":"Error status indicator."},"Message":{"type":"string","description":"Human-readable error message."},"Errors":{"description":"Validation error details. Returned as an object when validation fails or an empty array when the user lookup fails.","oneOf":[{"type":"object","properties":{"Error":{"type":"object","properties":{"Field":{"type":"string","description":"The request field that failed validation."},"Message":{"type":"string","description":"Validation failure detail for the field."}}}}},{"type":"array","items":{"type":"object"}}]}}}}}},"401":{"description":"Unauthorized — invalid authentication credentials.","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"integer","description":"HTTP status code."},"title":{"type":"string","description":"Short error label."}}}}}}}}}},"components":{"schemas":{"IdentityVerificationSession":{"type":"object","properties":{"Status":{"type":"string","description":"The status of the API response (e.g., OK)."},"Uri":{"type":"string","description":"API resource path for this identity verification session."},"id":{"type":"string","description":"The unique identifier for this identity verification session."},"sessionId":{"type":"string","description":"A UUID that uniquely identifies the verification session with the identity verification provider."},"sessionUrl":{"type":"string","description":"The URL to redirect the user to in order to complete the identity verification flow."},"memberId":{"type":"string","description":"The numeric portion of the impact.com user ID associated with this session."}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://integrations.impact.com/partner-api-reference/reference/identity-verification/identity-verification.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
